Summary: An aerial combat simulator for the X Window System.
Name: acm
Version: 5.0 
Release: 16
Copyright: MIT
Group: Amusements/Games
Source0: ftp://207.234.142.60/pub/download/acm-%{version}.tar.gz
Source1: acm.wmconfig
Patch: acm-5.0.patch
Patch1: acm-5.0-sparc.patch
BuildRoot: /var/tmp/acm-root

%description
ACM is a multiplayer aerial combat simulation program which enables
separate programs to cooperate and render the state of the ACM world in
real-time.

%prep
%setup -q
%patch -p1 -b .tim

%ifarch sparc
%patch1 -p1 -b .tim
%endif

%build
./configure --prefix=%{_prefix} 
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/{bin,lib/games/acm,man/man1}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Games/

cat > $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Games/acm.desktop <<EOF
[Desktop Entry]
Name=acm
Type=Application
Description=acm
Exec=acm
EOF


(cd src/
%makeinstall
)

cp -rd objects/* $RPM_BUILD_ROOT%{_libdir}/games/acm
rm -f $RPM_BUILD_ROOT%{_libdir}/games/acm/Makefile
rm -f $RPM_BUILD_ROOT%{_libdir}/games/acm/Makefile.in 
chmod 755 $RPM_BUILD_ROOT%{_libdir}/games/acm/f117tex
mkdir -p $RPM_BUILD_ROOT%{_mandir}

mv $RPM_BUILD_ROOT%{_prefix}/man/* $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README ACM-Bibliography COPYING
%{_bindir}/acm
%{_mandir}/*/*
%{_libdir}/games/acm
%{_sysconfdir}/X11/applnk/Games/acm.desktop

%changelog
* Wed Aug 9 2000 Tim Powers <timp@redhat.com>
- rebuilt against newer X, fixes bug #15838

* Tue Aug 1 2000 Tim Powers <timp@redhat.com>
- fix bug #15004, bad dir permissions

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jun 5 2000 Tim Powers <timp@redhat.com>
- use macros wherever possible
- using %%makeinstall instead of make install
- man pages in /usr/share
- use applnk instead of wmconfig

* Thu Apr 27 2000 Tim Powers <timp@redhat.com>
- strip binaries
- gzip man pages
- spec file cleanups to make rebuilding with a diff. prefix easier to maintain

* Mon Jan 3 2000 Tim Powers <timp@redhat.com>
- rebuilt for 6.2

* Tue Aug 17 1999 Dale Lovelaace <dale@redhat.com>
- added acm.wmconfig

* Tue Aug 17 1999 Tim Powers <timp@redhat.com>
- now finds default scene

* Mon Aug 16 1999 Tim Powers <timp@redhat.com>
- fixed big problem with installation

* Wed Jul 7 1999 Tim Powers <timp@redhat.com>
- new version (5.0)
- added new patch for all arch
- added patch to fix joystick compile problems on sparc
- apdated spec file

* Mon Jan 25 1999 Michael Maher <mike@redhat.com>
- changed the group heading

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- rebuilt package for 6.0

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr
